> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Tool

> Get a specific tool instance by instance_name.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /agents/{agent_id}/tools/{instance_name}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /agents/{agent_id}/tools/{instance_name}:
    get:
      tags:
        - Agent Tools
      summary: Get Agent Tool
      description: Get a specific tool instance by instance_name.
      operationId: get_agent_tool_agents__agent_id__tools__instance_name__get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: instance_name
          in: path
          required: true
          schema:
            type: string
            title: Instance Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ToolResponse:
      properties:
        id:
          type: string
          title: Id
        agent_id:
          type: string
          title: Agent Id
        tool_key:
          type: string
          title: Tool Key
        instance_name:
          type: string
          title: Instance Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        tool_type:
          type: string
          title: Tool Type
        enabled:
          type: boolean
          title: Enabled
        is_active:
          type: boolean
          title: Is Active
        version:
          type: integer
          title: Version
        config:
          additionalProperties: true
          type: object
          title: Config
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        raw_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Raw Schema
        rpc_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Rpc Method
        parameters_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Parameters Schema
        registry_info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Registry Info
      type: object
      required:
        - id
        - agent_id
        - tool_key
        - instance_name
        - display_name
        - tool_type
        - enabled
        - is_active
        - version
        - config
        - description
        - created_at
      title: ToolResponse
      description: Schema for tool response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````